Subject: Re: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Sean Whitton <[email-masked]>
Date: Sat, 30 Dec 2023 19:43:25 +0000

Hello,

On Sat 30 Dec 2023 at 07:50pm +02, Juri Linkov wrote:

>> | 4b. Insert text into *scratch*: (setopt icomplete-
>> | 5b. C-M-i
>> |     - Emacsen 29 & 30: in-buffer Icomplete appears & *Completions* pops up.
>
> This is exactly how icomplete-in-buffer was intended to work.

Right, yeah, I now understand that.

In a previous message you said you think that icomplete-in-buffer is
unfinished, and you'd like to consider further changes to how it works.
Is that something you're still considering, or are you setting that
aside for the time being?

I ask because if you are happy with how things are now, we could close
this bug.

>>     Secondly, the *Completions* buffer now always pops up at the same
>>     time that Icomplete displays its in-buffer completion.  If you would
>>     prefer to see only Icomplete's display, which is what you might be
>>     used to, you could use
>>
>>         (advice-add 'completion-at-point :after #'minibuffer-hide-completions)
>>
>> The reason I haven't gone ahead and added this already is that Juri has
>> suggested further changing icomplete-in-buffer's default behaviour.
>> I don't think that we should do that.
>
> I suggested adding a new option that would disable popping up *Completions*.
> This is preferable to instructing users how to use advice-add.  But this
> might be not quite straightforward to implement.

Yes, that would be preferable, if someone wants to work on it at some point.

-- 
Sean Whitton